E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GAuth::SaslServerPam Class Reference

An implementation of the SaslServer interface using PAM as the authentication mechanism. More...

`#include <gsaslserverpam.h>`

Inheritance diagram for GAuth::SaslServerPam:

## Public Member Functions
| SaslServerPam (const SaslServerSecrets &, bool allow_apop)
| Constructor.
virtual | ~SaslServerPam ()
| Destructor.
virtual bool | requiresEncryption () const override
| Override from GAuth::SaslServer.
virtual bool | active () const override
| Override from GAuth::SaslServer.
virtual std::string | mechanisms (char sep= ' ') const override
| Override from GAuth::SaslServer.
virtual bool | init (const std::string &mechanism) override
| Override from GAuth::SaslServer.
virtual std::string | mechanism () const override
| Override from GAuth::SaslServer.
virtual bool | mustChallenge () const override
| Override from GAuth::SaslServer.
virtual std::string | initialChallenge () const override
| Override from GAuth::SaslServer.
virtual std::string | apply (const std::string &response, bool &done) override
| Override from GAuth::SaslServer.
virtual bool | authenticated () const override
| Override from GAuth::SaslServer.
virtual std::string | id () const override
| Override from GAuth::SaslServer.
virtual bool | trusted (const GNet::Address &) const override
| Override from GAuth::SaslServer.
Public Member Functions inherited from GAuth::SaslServer
virtual | ~SaslServer ()
| Destructor.

## Detailed Description

An implementation of the SaslServer interface using PAM as the authentication mechanism.

This class tries to match up the PAM interface with the SASL server interface. The match is not perfect; only single-challenge PAM mechanisms are supported, the PAM delay feature is not implemented, and PAM sessions are not part of the SASL interface.

Definition at line 50 of file gsaslserverpam.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gauth/gsaslserverpam.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gauth/gsaslserverpam.cpp